aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeonardo Martins <leonardo@venidera.com>2012-04-23 15:57:05 -0300
committerLeonardo Martins <leonardo@venidera.com>2012-04-23 15:57:05 -0300
commit426ea014f57bf43d41cf0430cf72d534f4b8592e (patch)
treee743687c86a8f67c208e563720e523fc62236884 /dev-db/neo4j-community/files/neo4j.init
parentAdded Neo4j 1.7 Community Edition graph database (diff)
downloadvenidera-426ea014f57bf43d41cf0430cf72d534f4b8592e.tar.gz
venidera-426ea014f57bf43d41cf0430cf72d534f4b8592e.tar.bz2
venidera-426ea014f57bf43d41cf0430cf72d534f4b8592e.zip
Added init script to dev-db/neo4j-community
Diffstat (limited to 'dev-db/neo4j-community/files/neo4j.init')
-rw-r--r--dev-db/neo4j-community/files/neo4j.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/dev-db/neo4j-community/files/neo4j.init b/dev-db/neo4j-community/files/neo4j.init
new file mode 100644
index 0000000..ee577f0
--- /dev/null
+++ b/dev-db/neo4j-community/files/neo4j.init
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting neo4j"
+ start-stop-daemon --start --quiet --exec /opt/bin/neo4j -- start >/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping neo4j"
+ /opt/bin/neo4j stop >/dev/null 2>&1
+ eend $?
+}